require 'test_helper'

class AdminTest < ActiveSupport::TestCase
  # Replace this with your real tests.
  fixtures :admins

  test "the truth" do
    assert true
  end
  # O teste abaixo verifica se um administrador com atributos obrigatórios não preenchidos pode ser inserido pod

  test "invalid with empty attributes" do
    admin = Admin.new
    assert !admin.valid?
    assert admin.errors.invalid?(:login)
  end
  
   # O test abaixo verifica se o banco pode conter Administradores com Logins iguais

  test "unique login" do
    admin = Admin.new(:login => admins(:admin1).login)
    assert !admin.save
  end



end
