class SiteController < ApplicationController
  def index
    
  end

  def help
    
  end

  def login
    if request.post?
      user = User.authenticate(params[:email], params[:password])
      if user
        session[:user_log] = user.id
        session[:admin_id] = nil
        redirect_to(:controller=>'users',:action => "show",:id=>user.id )
      else
        flash.now[:notice] = "Invalid user/password combination"
      end
    end
  end

  def login_admin
    if request.post?
      user = Admin.authenticate(params[:login], params[:password])
      if user
        session[:admin_id] = user.id
        session[:user_log] = nil
        redirect_to(:controller=>'admins',:action => "index" )
      else
        flash.now[:notice] = "Invalid user/password combination"
      end
    end
  end

  def logout
    session[:user_log] = nil
    flash[:notice] = "Você está deslogado!"
    redirect_to :action => 'login'
  end

  def logout_admin
    session[:admin_id] = nil
    flash[:notice] = "Você está deslogado!"
    redirect_to :action => 'login_admin'
  end

end
