class Newsletter < ActiveRecord::Base
  has_attached_file :image, :styles => {:small => "150x150#", :default => "300x300#"}
  validates_presence_of :author, :notice, :tittle

  def self.conditions_by_like_multi(values)
    conditions = ""
    for value in values
      if value == values.first
        conditions = conditions + self.conditions_by_like(value)
      else
        conditions ="(" + conditions + ") AND (" + self.conditions_by_like(value) + ")"
      end
    end
    conditions
  end

  def self.conditions_by_like(value, *columns)
    columns = self.columns if columns.size==0
    columns = columns[0] if columns[0].kind_of?(Array)
    conditions = columns.map {|c|
      c = c.name if c.kind_of? ActiveRecord::ConnectionAdapters::Column
      "`#{c}` LIKE " + ActiveRecord::Base.connection.quote("%#{value}%" )
    }.join(" OR " )
  end

end
