class CreateUsers < ActiveRecord::Migration
  def self.up
    create_table :users do |t|
      t.string :name 
      t.date :birth
      t.string :city
      t.string :cep
      t.text :address
      t.string :phone
      t.text :description
      t.string :email
      t.string :hashed_password
      t.string :salt
      t.string :image_file_name
      t.string :image_content_type
      t.integer :image_file_size
      t.datetime :image_updated_at

      t.timestamps
    end
  end

  def self.down
    drop_table :users
  end
end
