class CreateDogs < ActiveRecord::Migration
  def self.up
    create_table :dogs do |t|
      t.string :second_color
      t.string :main_color
      t.date :birth
      t.string :gender
      t.string :breed
      t.string :name
      t.string :size
      t.decimal :weight , :precision => 8, :scale => 2
      t.text :description
      t.text :vaccines
      t.text :champion
      t.string :pedigree
      t.string :image_file_name
      t.string :image_content_type
      t.integer :image_file_size
      t.datetime :image_updated_at
      t.integer :user_id , :options => "CONSTRAINT fk_dog_users REFERENCES users(id)"

      t.timestamps
    end
  end

  def self.down
    drop_table :dogs
  end
end
