class CreatePhotos < ActiveRecord::Migration
  def self.up
    create_table :photos do |t|
      t.string :image_file_name
      t.string :image_content_type
      t.integer :image_file_size
      t.datetime :image_updated_at
      t.integer :dog_id , :options => "CONSTRAINT fk_photo_dogs REFERENCES dogs(id)"

      t.timestamps
    end
  end

  def self.down
    drop_table :photos
  end
end
